setwd("/esarchive/scratch/nperez/git/Flor/Nord3/Carlos")

#-----------modify according to your personal info---------
queue_host = 'nord3'   #your own host name for nord3
temp_dir =  '/gpfs/scratch/bsc32/bsc32339/startR_hpc/'
ecflow_suite_dir = '/home/Earth/nperez/startR_local/'  #your own local directory
#---------

save_output = FALSE
HPC <- 'nord3'

tests <- list(test1 = list(type = 'dcpp', data_set = 1, index = 'GMST', 
                           threads_test = 1),
              test2 = list(type = 'dcpp', data_set = 1, index = 'GMST',
                           threads_test = 2),
              test3 = list(type = 'dcpp', data_set = 1, index = 'AMV',
                           threads_test = 1),
              test4 = list(type = 'dcpp', data_set = 1, index = 'AMV',
                           threads_test = 2),
              test5 = list(type = 'dcpp', data_set = 1, index = 'GSAT',
                           threads_test = 1),
              test6 = list(type = 'dcpp', data_set = 1, index = 'GSAT',
                           threads_test = 2))

# test 1: FAILS
i = 1
print(names(tests)[i])
print(tests[[i]])
list2env(tests[[i]], env = .GlobalEnv)
source("/esarchive/scratch/nperez/git/Flor/Nord3/Carlos/Indices.R")
# test 3: FAILS
i = 3
print(names(tests)[i])
print(tests[[i]])
list2env(tests[[i]], env = .GlobalEnv)
source("/esarchive/scratch/nperez/git/Flor/Nord3/Carlos/Indices.R")
# test 5: FAILS
i = 5
print(names(tests)[i])
print(tests[[i]])
list2env(tests[[i]], env = .GlobalEnv)
source("/esarchive/scratch/nperez/git/Flor/Nord3/Carlos/Indices.R")




